post
https://sandbox.api.deliverysolutions.co/api/v2/brand
Use this API to create a new brand under the specific business. A business can have multiple brands associated with it.
- A default brand is created under a business when the account is setup by Delivery Solutions.
- Brand id and external id cannot be changed later once created.
Response
| Property | Type | Description |
|---|---|---|
| String | Unique ID for the brand assigned by Delivery Solutions |
| name | String | Name of the brand |
| brandExternalId | String | Unique id of the brand from the customer as setup in their system |
| address | Object | Address of the brand |
| description | String | Description of the brand |
| active | boolean | Flag that specifies whether the brand is enabled or disabled |
| tenantId | String | tenantId associated with the business |
| atRisk | Object | atRisk settings associated with the brand. |
| pickupInstructions | String | pickupInstructions associated with the brand |
| currencyCode | String | currency code associated with the brand |
| isDefault | boolean | specifies whether the brand is default |
| createdAt | String | The time when the brand was created in Delivery Solutions in ISO 8601 format |
| lastUpdatedAt | String | The time when the brand was last updated in ISO 8601 format. |
